//File: Loader.java

package buckburgers;

import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import java.util.ArrayList;

@WebServlet(loadOnStartup = 1, urlPatterns = {"/Loader"})
public class Loader extends HttpServlet {
  private ArrayList<MenuItem> burgers;
  private ArrayList<MenuItem> chicken;
  private ArrayList<MenuItem> kids;
  private ArrayList<MenuItem> drinks;
  private ArrayList<MenuItem> sides;
  private ArrayList<MenuItem> desserts;

  /**
   * initializes the menu item lists and adds attributes to the context
   * for each one. These lists can then be accessed as application
   * scope beans from the JSP files.
   *
   * The web application must be configured so that this servlet
   * is loaded at application startup.
   */
  @Override
  public void init() throws ServletException {
    ServletContext ctx = getServletContext();

    // Later, once Chuck makes up his mind, we'll read these from a
    // database or an XML file.
    burgers = new ArrayList<MenuItem>(4);
    burgers.add(new MenuItem("Hamburger", 1.0));
    burgers.add(new MenuItem("Cheeseburger", 1.0));
    burgers.add(new MenuItem("Meatloaf Burger", 1.5));
    burgers.add(new MenuItem("Big Bacon Burger", 1.5));
    ctx.setAttribute("burgers", burgers);

    chicken = new ArrayList<MenuItem>(3);
    chicken.add(new MenuItem("Fried Chicken Burger", 1.0));
    chicken.add(new MenuItem("Chicken Fingers 5-pack", 1.0));
    chicken.add(new MenuItem("Chicken Fingers 8-pack", 1.5));
    ctx.setAttribute("chicken", chicken);

    kids = new ArrayList<MenuItem>(3);
    kids.add(new MenuItem("Hamburger", 1.0));
    kids.add(new MenuItem("Cheeseburger", 1.0));
    kids.add(new MenuItem("Chicken Fingers", 1.5));
    ctx.setAttribute("kids", kids);

    sides = new ArrayList<MenuItem>(2);
    sides.add(new MenuItem("Regular Fries", .5));
    sides.add(new MenuItem("Large Fries", .75));
    ctx.setAttribute("sides", sides);

    drinks = new ArrayList<MenuItem>(4);
    drinks.add(new MenuItem("Small", .75));
    drinks.add(new MenuItem("Medium", 1.0));
    drinks.add(new MenuItem("Large", 1.25));
    drinks.add(new MenuItem("Milk Shake", 1.5));
    ctx.setAttribute("drinks", drinks);

    desserts = new ArrayList<MenuItem>(2);
    desserts.add(new MenuItem("Junior Sunday", 1.0));
    desserts.add(new MenuItem("Senior Sunday", 1.5));
    ctx.setAttribute("desserts", desserts);
  }
}
