// File: StockListServlet.java

package stock;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Iterator;
import java.util.Map;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

@WebServlet(urlPatterns = {"/StockList"})
public class StockListServlet extends HttpServlet {
  @Override
  public void doGet(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

    PrintWriter out = res.getWriter();
    HttpSession session = req.getSession();
    Map<String,Double> map = 
      (Map<String,Double>) session.getAttribute("selectedStocks");

    if (map != null) {
      out.println("<table class='center' border='1'>");
      out.println("<tr><th>Stock</th><th>Symbol</th></tr>");
      Iterator<String> it = map.keySet().iterator();
      while (it.hasNext()) {
        String key = it.next();
        out.println("<tr><td>" + key + "</td>");
        out.println("<td>" + map.get(key) + "</td></tr>");
      }
    }
    out.println("</table>");
  }

  @Override
  public void doPost(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {
    doGet(req, res);
  }
}

