// File: StockServlet.java

package stock;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.HashMap;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = {"/StockService"})
public class StockServlet extends HttpServlet {
  private HashMap<String, Double> stocks;
  
  @Override
  public void init() {
    stocks = new HashMap<String, Double>();
    stocks.put("amzn", new Double(155.67));
    stocks.put("ebay", new Double(24.99));
    stocks.put("goog", new Double(546.96));
    stocks.put("hpq",  new Double(42.10));
    stocks.put("ibm",  new Double(141.04));
    stocks.put("msft", new Double(25.24));
    stocks.put("yhoo", new Double(15.32));
  }

  @Override
  public void doGet(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

    String stockSymbol = req.getParameter("symbol");
    res.setContentType("text/xml");
    PrintWriter out = res.getWriter();
    
    out.println("<stock xmlns='urn:StockService'>");
    out.println("<symbol>");
    out.println(stockSymbol);
    out.println("</symbol>");

    if (stocks.containsKey(stockSymbol)) {
      out.println("<price>");
      out.println(stocks.get(stockSymbol));
      out.println("</price>");
    }
    else {
      out.println("<fault>");
      out.println("Invalid Symbol");
      out.println("</fault>");
    }
    out.println("</stock>");
    out.close();
  }
}

