// File: StockServlet2.java

package stock;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = {"/StockService2", "*.do", "/stock/*"},
  loadOnStartup = 1,
  initParams = {
    @WebInitParam(name="amzn", value="155.67"),
    @WebInitParam(name="ebay", value="24.99"),
    @WebInitParam(name="goog", value="546.96"),
    @WebInitParam(name="hpq", value="42.10"),
    @WebInitParam(name="ibm", value="141.04"),
    @WebInitParam(name="msft", value="25.24"),
    @WebInitParam(name="yhoo", value="15.32")
  })
public class StockServlet2 extends HttpServlet {
  @Override
  public void doGet(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

    ServletConfig servletConfig = getServletConfig();
    String stockSymbol = req.getParameter("symbol");
    String price = servletConfig.getInitParameter(stockSymbol);
    
    res.setContentType("text/xml");
    PrintWriter out = res.getWriter();

    out.println("<stock xmlns='urn:StockService'>");
    out.println("<symbol>");
    out.println(stockSymbol);
    out.println("</symbol>");

    if (price != null) {
      out.println("<price>");
      out.println(price);
      out.println("</price>");
    }
    else {
      out.println("<fault>");
      out.println("Invalid Symbol");
      out.println("</fault>");
    }
    out.println("</stock>");
    out.close();
  }
}

