// File: StockServlet3.java

package stock;

import java.io.IOException;
import java.util.HashMap;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = {"/StockService3"})
public class StockServlet3 extends HttpServlet {
  private HashMap<String, Double> stocks;

  @Override
  public void init() {
    stocks = new HashMap<String, Double>();
    stocks.put("amzn", new Double(155.67));
    stocks.put("ebay", new Double(24.99));
    stocks.put("goog", new Double(546.96));
    stocks.put("hpq",  new Double(42.10));
    stocks.put("ibm",  new Double(141.04));
    stocks.put("msft", new Double(25.24));
    stocks.put("yhoo", new Double(15.32));
  }

  @Override
  public void doGet(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

    String symbol = req.getParameter("symbol");
    Object price = stocks.get(symbol);

    req.setAttribute("stockSymbol", symbol);

    if (stocks.containsKey(symbol)) {
      req.setAttribute("stockPrice", price);
      forwardToJSP(req, res, "/StockView.jsp");
    }
    else {
      req.setAttribute("stockFault", "Invalid Symbol");
      forwardToJSP(req, res, "/StockFault.jsp");
    }
  }

  @Override
  public void doPost(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

    String symbol = req.getParameter("symbol");

    String priceString = req.getParameter("price");
    Double price = new Double(priceString);
    stocks.put(symbol, price);

    req.setAttribute("stockSymbol", symbol);

    req.setAttribute("stockPrice", price);
    forwardToJSP(req, res, "/StockView.jsp");
  }

  private void forwardToJSP(HttpServletRequest request,
    HttpServletResponse response, String jsp)
      throws ServletException, IOException {

    ServletContext context = getServletContext();
    RequestDispatcher dispatcher = context.getRequestDispatcher(jsp);
    dispatcher.forward(request, response);
  }
}

