// File: StockServlet4.java

package stock;

import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

@WebServlet(urlPatterns = {"/StockService4"})
public class StockServlet4 extends HttpServlet {

  @Override
  public void init() {
    Map<String, Double> stocks = new HashMap<String, Double>();
    ServletContext application = this.getServletContext();
    Enumeration<String> e = application.getInitParameterNames();
    while (e.hasMoreElements()) {
      String symbol = (String) e.nextElement();
      String value = application.getInitParameter(symbol);
      stocks.put(symbol, new Double(value));
    }
    application.setAttribute("allStocks", stocks);
  }

  @Override
  public void doGet(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

    ServletContext application = this.getServletContext();
    Map<String,Double> allStocks = 
      (Map<String,Double>) application.getAttribute("allStocks");

    HttpSession session = req.getSession();
    Map<String,Double> selectedStocks =
      (Map<String,Double>) session.getAttribute("selectedStocks");

    if (selectedStocks == null) {
      selectedStocks = new HashMap<String,Double>();
      session.setAttribute("selectedStocks", selectedStocks);
    }

    String symbol = req.getParameter("symbol");
    Double price = allStocks.get(symbol);
    selectedStocks.put(symbol, price);

    forwardToJSP(req, res, "/StockQuery4.jsp");
  }

  @Override
  public void doPost(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {
    doGet(req, res);
  }

  private void forwardToJSP(HttpServletRequest request,
    HttpServletResponse response, String jsp)
      throws ServletException, IOException {

    ServletContext context = getServletContext();
    RequestDispatcher dispatcher = context.getRequestDispatcher(jsp);
    dispatcher.forward(request, response);
  }
}

