package grocery;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import java.util.*;

@WebServlet(urlPatterns = {"/Controller"})
public class ControllerServlet extends HttpServlet {
  @Override
  public void doPost(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {

    String action = req.getParameter("action");

    if (action == null) {
      // first time or just confirmed selection
      // forward to Sections.jsp to display the initial menu
      forwardToJSP(req, res, "/Sections.jsp");
    }
    else if (action.equals("Shop in Section")) {
      String section = req.getParameter("section");
      if (section.equals("produce")) {
        forwardToJSP(req, res, "/Produce.jsp");
      }
      else if (section.equals("dairy")) {
        forwardToJSP(req, res, "/Dairy.jsp");
      }
      else if (section.equals("meat")) {
        forwardToJSP(req, res, "/Meat.jsp");
      }
      else if (section.equals("bakery")) {
        forwardToJSP(req, res, "/Bakery.jsp");
      }
      else if (section.equals("freezer")) {
        forwardToJSP(req, res, "/Freezer.jsp");
      }
    }
    else if (action.equals("View Cart Contents")) {
      forwardToJSP(req, res, "/Checkout.jsp");
    }
    else if (action.equals("Add Item")) {
      // just added an item

      String selection = req.getParameter("selection");

      // store the item just added into an ArrayList and
      // store the ArrayList into the session.
      HttpSession session = req.getSession();
      List<String> allItems = 
        (List<String>) session.getAttribute("shoppingCart");
      if (allItems == null) {
         // first time
         allItems = new ArrayList<String>();
         session.setAttribute("shoppingCart", allItems);
      }
      allItems.add(selection);

      forwardToJSP(req, res, "/Sections.jsp");
    }
  }

  @Override
  public void doGet(HttpServletRequest req, HttpServletResponse res)
      throws ServletException, IOException {
    doPost(req, res);
  }

  private void forwardToJSP(HttpServletRequest request,
    HttpServletResponse response, String jsp)
      throws ServletException, IOException {

    ServletContext context = getServletContext();
    RequestDispatcher dispatcher = context.getRequestDispatcher(jsp);
    dispatcher.forward(request, response);
  }

}
