// File: LoanCalcServlet.java

package loan;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = {"/Calculator"})
public class LoanCalcServlet extends HttpServlet {
  @Override
  public void doGet(HttpServletRequest req, HttpServletResponse res)
     throws IOException, ServletException {
    doPost(req, res);
  }

  @Override
  public void doPost(HttpServletRequest req, HttpServletResponse res)
     throws IOException, ServletException {

    try {
      // retrieve query parameters
      String sAmount = req.getParameter("amount");
      String sRate = req.getParameter("rate");
      String sTerm = req.getParameter("term");

      double amount = Double.parseDouble(sAmount);
      double rate = Double.parseDouble(sRate);
      int term = Integer.parseInt(sTerm);

      // calculate the final amount paid
      double total = amount * Math.pow(1 + (rate/1200), term);

      // store data in the request
      req.setAttribute("amount", new Double(amount));
      req.setAttribute("rate", new Double(rate));
      req.setAttribute("term", new Integer(term));
      req.setAttribute("total", new Double(total));

      // forward to the JSP
      forwardToJSP(req, res, "/View.jsp");
    }
    catch (Exception e) {
      // forward to the Error JSP
      req.setAttribute("exc", e);
      forwardToJSP(req, res, "/Error.jsp");
    }
  }

  private void forwardToJSP(HttpServletRequest request,
    HttpServletResponse response, String jsp)
      throws ServletException, IOException {

    ServletContext context = getServletContext();
    RequestDispatcher dispatcher = context.getRequestDispatcher(jsp);
    dispatcher.forward(request, response);
  }
}
