// File: SearchBean.java

package library;

import java.text.DateFormat;
import java.text.ParseException;
import java.util.Date;

public class SearchBean implements java.io.Serializable {
  private String author = "";
  private String subject = "";
  private String title = "";
  private Date pubDate;
  private DateFormat formatter;

  public SearchBean() {
    formatter = DateFormat.getDateInstance(DateFormat.SHORT);
  }

  public String search() {
    return "Search engine temporarily unavailable";
  }

  // properties
  public String getAuthor() {
    return author;
  }
  public void setAuthor(String a) {
    author = a;
  }
  public String getPublicationDate() {
    if (pubDate != null)
      return formatter.format(pubDate);
    else
      return "";
  }
  public void setPublicationDate(String date) {
    try {
      pubDate = formatter.parse(date);
    }
    catch (ParseException e) {
      System.err.println(e);
      pubDate = new Date();
    }
  }
  public String getSubject() {
    return subject;
  }
  public void setSubject(String s) {
    subject = s;
  }
  public String getTitle() {
    return title;
  }
  public void setTitle(String t) {
    title = t;
  }
}
