// File: EmployeeSearchServlet.java

package emp;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns = {"/EmployeeSearch"})
public class EmployeeSearchServlet extends HttpServlet {
  @Override
  public void doPost(HttpServletRequest req, HttpServletResponse res)
      throws IOException, ServletException {

    String idString = req.getParameter("id");
    try {
      int id = Integer.parseInt(idString);

      EmployeeDAO dao = new EmployeeDAOImpl();
      Employee transferObject = dao.getEmployee(id);
      req.setAttribute("empBean", transferObject);
    }
    catch (Exception e) {
      req.setAttribute("exception", e);
      forwardToJSP(req, res, "/DisplayErrors.jsp");
      return;
    }
    forwardToJSP(req, res, "/DisplayEmployee.jsp");
  }

  private void forwardToJSP(HttpServletRequest request,
    HttpServletResponse response, String jsp)
      throws ServletException, IOException {

    ServletContext context = getServletContext();
    RequestDispatcher dispatcher = context.getRequestDispatcher(jsp);
    dispatcher.forward(request, response);
  }
}

