// File: EmployeeDAOImpl.java

package emp;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import javax.sql.DataSource;
import javax.naming.InitialContext;

public class EmployeeDAOImpl implements EmployeeDAO {
  public EmployeeDAOImpl() {
  }

  public Employee getEmployee(int id) throws Exception {
    Connection conn = getConnection();
    String sqltxt = "select empid, firstname, lastname, phonenumber" +
                    " from employee where empid = " + id;
    PreparedStatement stmt = conn.prepareStatement(sqltxt);
    ResultSet rs = stmt.executeQuery();

    Employee transferObject = new Employee();

    if (rs.next()) {
      transferObject.setId(rs.getInt("empid"));
      transferObject.setFirstName(rs.getString("firstname"));
      transferObject.setLastName(rs.getString("lastname"));
      transferObject.setPhoneNumber(rs.getString("phonenumber"));
    }
    else {
      System.err.println("No row found matching id: " + id);
    }
    rs.close();
    stmt.close();
    conn.close();
    return transferObject;
  }

  public void setEmployee(Employee transferObject) throws Exception {
    Connection conn = getConnection();

    String sqltxt = "update employee set " +
                    "firstname=?, lastname=?, phonenumber=? " +
                    "where empid=?";

    PreparedStatement stmt = conn.prepareStatement(sqltxt);
    stmt.setString(1, transferObject.getFirstName());
    stmt.setString(2, transferObject.getLastName());
    stmt.setString(3, transferObject.getPhoneNumber());
    stmt.setInt(4, transferObject.getId());

    int uc = stmt.executeUpdate();

    if (uc != 1) {
      System.err.println("No rows updated");
    }
    stmt.close();
    conn.close();
  }

  private Connection getConnection() throws Exception {
    InitialContext ctxt = new InitialContext();
    DataSource ds = (DataSource)ctxt.lookup("java:comp/env/jdbc/emp");
    Connection conn = ds.getConnection();
    return conn;
  }
}