// File: Book.java

package library;

import java.util.Collection;
import java.util.Iterator;

public class Book implements java.io.Serializable {
  private String isbn;
  private String callNumber;
  private String title;
  private String status;
  private Collection<Author> authors;

  public Book() {
  }
  public Book(String isbn, String callNumber, String title,
    String status) {

    setIsbn(isbn);
    setCallNumber(callNumber);
    setTitle(title);
    setStatus(status);
    setAuthors(authors);
  }
  public Book(String isbn, String callNumber, String title,
    String status, Collection<Author> authors) {

    this(isbn, callNumber, title, status);
    setAuthors(authors);
  }
  public String getIsbn() {
    return isbn;
  }
  public String getCallNumber() {
    return callNumber;
  }
  public String getTitle() {
    return title;
  }
  public String getStatus() {
    return status;
  }
  public Collection<Author> getAuthors() {
    return authors;
  }
  public void setIsbn(String i) {
    isbn = i;
  }
  public void setCallNumber(String cn) {
    callNumber = cn;
  }
  public void setTitle(String t) {
    title = t;
  }
  public void setStatus(String s) {
    status = s;
  }
  public void setAuthors(Collection<Author> a) {
    authors = a;
  }
  public String toString() {
    StringBuffer s = new StringBuffer("Title: " +  title + "\n" +
      "ISBN: " +  isbn + "\n" + "Authors: " + "\n");
    Iterator<Author> it = authors.iterator();
    while (it.hasNext()) {
      s.append("        ");
      s.append(it.next().toString());
      s.append("\n");
    }

    s.append("Call Number: " +  callNumber + "\n" +
      "Status: " +  status);
    return s.toString();
  }
}