// File: BrowseServlet.java

package com.holidaytruffles;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.ServletContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.ArrayList;

@WebServlet(urlPatterns = {"/BrowseServlet"})
public class BrowseServlet extends HttpServlet {
  @Override
  public void doPost(HttpServletRequest req, HttpServletResponse res)
    throws ServletException, IOException {
    String code = req.getParameter("item");
    int quantity = Integer.parseInt(req.getParameter("quantity"));
    Item item = new Item(code, quantity);
    HttpSession session = req.getSession();
    List<Item> cart = (List<Item>) session.getAttribute("cart");

    if (cart == null)
      cart = new ArrayList<Item>();
    cart.add(item);
    session.setAttribute("cart", cart);
    req.setAttribute("itemBean", item);

    ServletContext ctx = getServletContext();
    RequestDispatcher dispatcher = ctx.getRequestDispatcher("/ProcessBrowse.jsp");

    dispatcher.forward(req, res);
  }
}