DROP TABLE Employee;

CREATE TABLE Employee (
  empId         INTEGER PRIMARY KEY NOT NULL,
  firstName     VARCHAR(20),
  lastName      VARCHAR(30),
  areaCode      CHAR(3),
  phoneNumber   VARCHAR(8),
  title         VARCHAR(20),
  citizen       CHAR(1),
  deptCode      CHAR(2),
  addrId        INTEGER
);

DROP TABLE Address;

CREATE TABLE Address (
  id            INTEGER PRIMARY KEY NOT NULL,
  street1       VARCHAR(40),
  street2       VARCHAR(40),
  city          VARCHAR(30),
  state         CHAR(2),
  zip           VARCHAR(10)
);

DROP TABLE Department;

CREATE TABLE Department (
  code          CHAR(2) PRIMARY KEY NOT NULL,
  name          VARCHAR(30)
);


DROP TABLE book;

CREATE TABLE book
(
  isbn              VARCHAR(10) PRIMARY KEY NOT NULL,
  title             VARCHAR(80),
  call_number       VARCHAR(20),
  status            VARCHAR(20)
);


DROP TABLE author;

CREATE TABLE author (
  id            INTEGER PRIMARY KEY NOT NULL,
  first_name    VARCHAR(20),
  middle_name   VARCHAR(20),
  last_name     VARCHAR(30)
);


DROP TABLE book_author;

CREATE TABLE book_author (
  isbn     VARCHAR(10),
  id     INTEGER
);


INSERT INTO Employee (empId, firstName, lastName, areaCode, phoneNumber, title, citizen, deptCode, addrId) VALUES (123443,'Joe','Aims','303', '443-9384', 'Manager', 't', 'rd',1);
INSERT INTO Employee (empId, firstName, lastName, areaCode, phoneNumber, title, citizen, deptCode, addrId) VALUES (484955,'Rebecca','Fort','973', '933-8285', 'Manager', 't', 'sm',2);
INSERT INTO Employee (empId, firstName, lastName, areaCode, phoneNumber, title, citizen, deptCode, addrId) VALUES (103984,'Tom','Bland','384', '345-5867', 'Manager', 't', 'hr',3);
INSERT INTO Employee (empId, firstName, lastName, areaCode, phoneNumber, title, citizen, deptCode, addrId) VALUES (188440,'Bill','Ingle','662', '938-6907', 'Software Engineer', 't', 'rd',4);
INSERT INTO Employee (empId, firstName, lastName, areaCode, phoneNumber, title, citizen, deptCode, addrId) VALUES (284449,'Joyce','Mead','333', '748-4399', 'Software Engineer', 't', 'rd',5);
INSERT INTO Employee (empId, firstName, lastName, areaCode, phoneNumber, title, citizen, deptCode, addrId) VALUES  (238448,'Van','Lauderdale','899', '443-9375', 'Sales Representative', 't', 'sm', 6);

INSERT INTO Address (id, street1, city, state, zip) VALUES (1, '121 Oak St', 'Denver', 'CO', '80111');
INSERT INTO Address (id, street1, city, state, zip) VALUES (2, '34 Elm St', 'Denver', 'CO', '80111');
INSERT INTO Address (id, street1, city, state, zip) VALUES (3, '5464 Poplar St', 'Denver', 'CO', '80123');
INSERT INTO Address (id, street1, city, state, zip) VALUES (4, '667 Willow St', 'Denver', 'CO', '80111');
INSERT INTO Address (id, street1, city, state, zip) VALUES (5, '345 Maple St', 'Denver', 'CO', '80111');
INSERT INTO Address (id, street1, city, state, zip) VALUES (6, '554 Ash St', 'Denver', 'CO', '80123');

INSERT INTO Department (code, name) VALUES ('rd', 'Research and Development');
INSERT INTO Department (code, name) VALUES ('sm', 'Sales and Marketing');
INSERT INTO Department (code, name) VALUES ('hr', 'Human Resources');


INSERT INTO book VALUES ('1932394184', 'Java reflection in action', 	
'005.2762 FOR', 'Available');
INSERT INTO book VALUES ('1565924878', 'Java in a nutshell : a desktop quick reference for Java programmers', 	
'005.133 FLA', 'Available');
INSERT INTO book VALUES ('0672316307' , 'SAMS Teach yourself Java 2 in 24 hours', 	
'005.133 CAD', 'Available');
INSERT INTO book VALUES ('0672326361', 'Tomcat 5 unleashed', 	
'005.133 MOC', 'Available');
INSERT INTO book VALUES ('0764574701', 'Eclipse for dummies', 	
'005.133 BUR', 'Available');
INSERT INTO book VALUES ('1565923928', 'JavaScript : the definitive guide', 	
'005.133 FLA', 'Available');
INSERT INTO book VALUES ('1596000391', 'Java examples in a nutshell : a tutorial companion to Java in a nutshell', 	
'005.133 FLA', 'Available');
INSERT INTO book VALUES ('0596006411' , 'Eclipse', 	
'005.133 HOL', 'Available');
INSERT INTO book VALUES ('0596007108'  , 'Eclipse Cookbook', 	
'005.133 HOL', 'Available');
INSERT INTO book VALUES ('1590594479', 'The definitive guide to Java Swing', 	
'', 'On Order');
INSERT INTO book VALUES ('0764568582' , 'Java 2 for dummies', 	
'005.133 BUR', 'Available');
INSERT INTO book VALUES ('0672326280', 'Sams teach yourself Java 2 in 21 days', 	
'005.133 CAD', 'Available');
INSERT INTO book VALUES ('0130273635', 'Thinking in Java', 	
'005.133 ECK', 'Checked Out');
INSERT INTO book VALUES ('0596005717', 'Head First EJB', 	
'005.71262 SIE', 'Checked Out');
INSERT INTO book VALUES ('0596004656', 'Head First Java', 	
'005.133 SIE', 'Checked Out');
INSERT INTO book VALUES ('1930110588', 'Java development with Ant', 	
'005.262 HAT', 'Checked Out');


INSERT INTO author VALUES (0, 'Ira', 'R.', 'Forman');
INSERT INTO author VALUES (1, 'Nate', '', 'Foreman');
INSERT INTO author VALUES (2, 'David', '', 'Flanagan');
INSERT INTO author VALUES (3, 'Rogers', '', 'Cadenhead');
INSERT INTO author VALUES (4, 'Lajos', '', 'Moczar');
INSERT INTO author VALUES (5, 'Barry', 'A.', 'Burd');
INSERT INTO author VALUES (6, 'Holzner', '', 'Steve');
INSERT INTO author VALUES (7, 'John', '', 'Zulowski');
INSERT INTO author VALUES (8, 'Laura', '', 'Lemay');
INSERT INTO author VALUES (9, 'Bruce', '', 'Eckel');
INSERT INTO author VALUES (10, 'Kathy', '', 'Sierra');
INSERT INTO author VALUES (11, 'Bert', '', 'Bates');
INSERT INTO author VALUES (12, 'Erik', '', 'Hatcher');
INSERT INTO author VALUES (13, 'Steve', '', 'Loughran');


INSERT INTO book_author VALUES ('1932394184', 0);
INSERT INTO book_author VALUES ('1932394184', 1);
INSERT INTO book_author VALUES ('1565924878', 2);
INSERT INTO book_author VALUES ('0672316307', 3);
INSERT INTO book_author VALUES ('0672326361', 4);
INSERT INTO book_author VALUES ('0764574701', 5);
INSERT INTO book_author VALUES ('1565923928', 2);
INSERT INTO book_author VALUES ('1596000391', 2);
INSERT INTO book_author VALUES ('0596006411', 6);
INSERT INTO book_author VALUES ('0596007108', 6);
INSERT INTO book_author VALUES ('1590594479', 7);
INSERT INTO book_author VALUES ('0764568582', 5);
INSERT INTO book_author VALUES ('0672326280', 8);
INSERT INTO book_author VALUES ('0672326280', 3);
INSERT INTO book_author VALUES ('0130273635', 9);
INSERT INTO book_author VALUES ('0596005717', 10);
INSERT INTO book_author VALUES ('0596005717', 11);
INSERT INTO book_author VALUES ('0596004656', 10);
INSERT INTO book_author VALUES ('0596004656', 11);
INSERT INTO book_author VALUES ('1930110588', 12);
INSERT INTO book_author VALUES ('1930110588', 13);
